Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.components.list
Class FillListFactory

    java.lang.Object
      net.sf.jasperreports.components.list.FillListFactory

All Implemented Interfaces:
  ComponentFillFactory

    public class FillListFactory

extends java.lang.Object
implements ComponentFillFactory

Factory of `list fill component` instances.

Version:
  $Id: FillListFactory.java 3514 2010-03-05 11:20:56Z shertage $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`FillListFactory()`

Method Summary
`FillComponent` | `cloneFillComponent(FillComponent component, JRFillCloneFactory factory)` Creates a clone of a fill component.
`FillComponent` | `toFillComponent(Component component, JRFillObjectFactory factory)` Creates a fill component instance for a component.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FillListFactory

    public FillListFactory()

Method Detail

### cloneFillComponent

    public FillComponent cloneFillComponent(FillComponent component,
                                            JRFillCloneFactory factory)

  Description copied from interface: `ComponentFillFactory`
  Creates a clone of a fill component.

  Fill components clones are currently only created when the component element is placed inside a crosstab.

  Specified by:
    `cloneFillComponent` in interface `ComponentFillFactory`
  Parameters:
    `component` - the fill component
    `factory` - the clone factory
  Returns:
    a clone of the fill component

### toFillComponent

    public FillComponent toFillComponent(Component component,
                                         JRFillObjectFactory factory)

  Description copied from interface: `ComponentFillFactory`
  Creates a fill component instance for a component.

  Specified by:
    `toFillComponent` in interface `ComponentFillFactory`
  Parameters:
    `component` - the component
    `factory` - the fill objects factory
  Returns:
    the fill component instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com